GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
requested_call Struct Reference

## Data Fields
requested_call_type | type
void * | tag
grpc_server * | server
grpc_completion_queue * | cq_bound_to_call
grpc_completion_queue * | cq_for_notification
grpc_call ** | call
grpc_cq_completion | completion
union {
struct {
grpc_call_details * details
grpc_metadata_array * initial_metadata
} batch
struct {
registered_method * registered_method
gpr_timespec * deadline
grpc_metadata_array * initial_metadata
grpc_byte_buffer ** optional_payload
} registered
} | data

## Field Documentation

struct { ... } requested_call::batch

grpc_call** requested_call::call

grpc_cq_completion requested_call::completion

grpc_completion_queue* requested_call::cq_bound_to_call

grpc_completion_queue* requested_call::cq_for_notification

union { ... } requested_call::data

gpr_timespec* requested_call::deadline

grpc_call_details* requested_call::details

grpc_metadata_array* requested_call::initial_metadata

grpc_byte_buffer** requested_call::optional_payload

struct { ... } requested_call::registered

registered_method* requested_call::registered_method

grpc_server* requested_call::server

void* requested_call::tag

requested_call_type requested_call::type

The documentation for this struct was generated from the following file:

- src/core/surface/server.c